Bug 579449 - Review Request: emacs-common-riece - Yet Another IRC Client for Emacs and XEmacs
Summary: Review Request: emacs-common-riece - Yet Another IRC Client for Emacs and XEmacs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ruediger Landmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-05 09:09 UTC by Daiki Ueno
Modified: 2011-03-28 19:28 UTC (History)
3 users (show)

Fixed In Version: emacs-common-riece-7.0.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-18 07:06:41 UTC
rlandman: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Daiki Ueno 2010-04-05 09:09:00 UTC
Spec URL: http://www.unixuser.org/~ueno/software/fedora/riece/emacs-common-riece.spec
SRPM URL:
http://www.unixuser.org/~ueno/software/fedora/riece/emacs-common-riece-6.1.0-1.fc13.src.rpm
Description:
Riece is an IRC client for Emacs.

Riece provides the following features:

- Several IRC servers may be used at the same time.
- Essential features can be built upon the extension framework (called
  "add-on") capable of dependency tracking.
- Installation is easy.  Riece doesn't depend on other packages.
- Setup is easy.  Automatically save/restore the configuration.
- Riece uses separate windows to display users, channels, and
  dialogues.  The user can select the window layout.
- Step-by-step instructions (in info format) are included.
- Mostly compliant with RFC 2812.

Comment 2 Daiki Ueno 2010-05-31 02:08:14 UTC
Packaged new upstream release, which incorporates patches for Fedora.
Now the spec became simpler and easier to review.

Spec URL:
http://www.unixuser.org/~ueno/software/fedora/riece/emacs-common-riece.spec
SRPM URL:
http://www.unixuser.org/~ueno/software/fedora/riece/emacs-common-riece-7.0.0-1.fc13.src.rpm

Comment 3 Ruediger Landmann 2011-03-15 05:05:56 UTC
Hi Daiki -- 

This failed to build in Koji: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=2912720

* Looks like you forgot BuildRequires: giflib, librsvg2, GConf2, libotf, m17n-lib

* Also, please include the COPYING file in the main package and all the subpackages.

* Finally, there is a new upstream available, version 7.0.3

When you have corrected these issues, please submit a new Spec and SRPM and remember to clear "BuildFails" from the Whiteboard in this bug.

Cheers
Rudi

Comment 4 Daiki Ueno 2011-03-16 05:17:21 UTC
Hi Rudi, thanks for looking into this -

(In reply to comment #3)
> * Looks like you forgot BuildRequires: giflib, librsvg2, GConf2, libotf,
> m17n-lib

Hmm, it looks strange that BR: emacs does not pull those libraries automatically by dependency - perhaps a current rawhide koji issue?  Anyway, I changed the spec to use emacs-nox instead of emacs to workaround this:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2916390

> * Also, please include the COPYING file in the main package and all the
> subpackages.

Added.

> * Finally, there is a new upstream available, version 7.0.3

Updated to the latest version.

Spec URL:
http://www.unixuser.org/~ueno/software/fedora/riece/emacs-common-riece.spec
SRPM URL:
http://www.unixuser.org/~ueno/software/fedora/riece/emacs-common-riece-7.0.3-1.fc13.src.rpm

Comment 5 Ruediger Landmann 2011-03-17 06:03:11 UTC
SRPM is actually at:
http://www.unixuser.org/~ueno/software/fedora/riece/emacs-common-riece-7.0.3-1.fc15.src.rpm

Thanks Daiki -- all looks fine now!

ACCEPT


 - = N/A
 / = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [/] Rpmlint output is clean:
$ rpmlint SRPMS/emacs-common-riece-7.0.3-1.fc14.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/noarch/emacs-common-riece-7.0.3-1.fc14.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/noarch/emacs-riece-7.0.3-1.fc14.noarch.rpm
emacs-riece.noarch: W: spelling-error Summary(en_US) elisp -> lisp, e lisp, Elise
emacs-riece.noarch: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Elise
emacs-riece.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
$ rpmlint RPMS/noarch/emacs-riece-el-7.0.3-1.fc14.noarch.rpm
emacs-riece-el.noarch: W: spelling-error Summary(en_US) Elisp -> Elis, Lisp, Elise
emacs-riece-el.noarch: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Elise
emacs-riece-el.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
$ rpmlint RPMS/noarch/xemacs-riece-7.0.3-1.fc14.noarch.rpm
xemacs-riece.noarch: W: spelling-error Summary(en_US) elisp -> lisp, e lisp, Elise
xemacs-riece.noarch: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Elise
xemacs-riece.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
$ rpmlint RPMS/noarch/xemacs-riece-el-7.0.3-1.fc14.noarch.rpm
xemacs-riece-el.noarch: W: spelling-error Summary(en_US) Elisp -> Elis, Lisp, Elise
xemacs-riece-el.noarch: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Elise
xemacs-riece-el.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


 [/] Package is named according to the Package Naming Guidelines.
 [/] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [/] Package meets the Packaging Guidelines including the Language specific
items
 [/] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [/] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [/] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [/] Spec file is legible and written in American English.
 [/] Sources used to build the package matches the upstream source, as provided
in the spec URL.
$ md5sum SOURCES/riece-7.0.3.tar.gz 
8a1bb05eb6aa49ad3ce7548e828b6c33  SOURCES/riece-7.0.3.tar.gz
$ md5sum ~/Download/riece-7.0.3.tar.gz 
8a1bb05eb6aa49ad3ce7548e828b6c33  /home/rlandmann/Download/riece-7.0.3.tar.gz

 [/] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     http://koji.fedoraproject.org/koji/taskinfo?taskID=2919273
 [/] Package is not known to require ExcludeArch
 [/] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly (with the %find_lang macro)
 [-] ldconfig called in %post and %postun if required.
 [/] Package does not bundle copies of system libraries
 [/] Package is not relocatable.
 [/] Package must own all directories that it creates.
 [/] Package does not contain duplicates in %files.
 [/] Permissions on files are set properly
 [/] %files section includes a %defattr(...) line
 [/] Package consistently uses macros.
 [-] Large documentation files are in a -doc subpackage, if required.
 [/] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] -devel packages require base package with full versioning.
 [/] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [/] Package does not own files or directories owned by other packages.
 [/] Filenames are valid UTF-8

Comment 6 Daiki Ueno 2011-03-18 00:22:45 UTC
Thanks for the review, Rudi.

New Package SCM Request
=======================
Package Name: emacs-common-riece
Short Description: Yet Another IRC Client for Emacs and XEmacs
Owners: ueno
Branches: f15 f14 f13
InitialCC: i18n-team

Comment 7 Jason Tibbitts 2011-03-18 00:52:05 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-03-18 01:41:51 UTC
emacs-common-riece-7.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/emacs-common-riece-7.0.3-1.fc14

Comment 9 Fedora Update System 2011-03-18 01:41:58 UTC
emacs-common-riece-7.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/emacs-common-riece-7.0.3-1.fc13

Comment 10 Fedora Update System 2011-03-18 01:42:07 UTC
emacs-common-riece-7.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/emacs-common-riece-7.0.3-1.fc15

Comment 11 Fedora Update System 2011-03-18 02:41:49 UTC
emacs-common-riece-7.0.3-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 12 Daiki Ueno 2011-03-18 07:06:41 UTC
Closing.

Comment 13 Fedora Update System 2011-03-22 03:50:04 UTC
emacs-common-riece-7.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 14 Fedora Update System 2011-03-28 19:19:57 UTC
emacs-common-riece-7.0.3-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 15 Fedora Update System 2011-03-28 19:27:59 UTC
emacs-common-riece-7.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.


Note You need to log in before you can comment on or make changes to this bug.